Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.velocity.runtime.parser.node
Interface ParserVisitor

All Known Implementing Classes:
  BaseVisitor

public interface ParserVisitor

Method Summary
`java.lang.Object` | `visit(ASTAddNode node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTAndNode node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTAssignment node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTBlock node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTComment node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTDirective node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTDivNode node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTElseIfStatement node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTElseStatement node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTEQNode node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTExpression node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTFalse node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTGENode node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTGTNode node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTIdentifier node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTIfStatement node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTLENode node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTLTNode node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTMethod node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTModNode node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTMulNode node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTNENode node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTNotNode node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTNumberLiteral node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTObjectArray node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTOrNode node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTprocess node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTReference node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTSetDirective node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTStringLiteral node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTSubtractNode node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTText node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTTrue node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTWord node, java.lang.Object data)`
`java.lang.Object` | `visit(SimpleNode node, java.lang.Object data)`

Method Detail

### visit

    public java.lang.Object visit(SimpleNode node,
                                  java.lang.Object data)

### visit

    public java.lang.Object visit(ASTprocess node,
                                  java.lang.Object data)

### visit

    public java.lang.Object visit(ASTComment node,
                                  java.lang.Object data)

### visit

    public java.lang.Object visit(ASTNumberLiteral node,
                                  java.lang.Object data)

### visit

    public java.lang.Object visit(ASTStringLiteral node,
                                  java.lang.Object data)

### visit

    public java.lang.Object visit(ASTIdentifier node,
                                  java.lang.Object data)

### visit

    public java.lang.Object visit(ASTWord node,
                                  java.lang.Object data)

### visit

    public java.lang.Object visit(ASTDirective node,
                                  java.lang.Object data)

### visit

    public java.lang.Object visit(ASTBlock node,
                                  java.lang.Object data)

### visit

    public java.lang.Object visit(ASTObjectArray node,
                                  java.lang.Object data)

### visit

    public java.lang.Object visit(ASTMethod node,
                                  java.lang.Object data)

### visit

    public java.lang.Object visit(ASTReference node,
                                  java.lang.Object data)

### visit

    public java.lang.Object visit(ASTTrue node,
                                  java.lang.Object data)

### visit

    public java.lang.Object visit(ASTFalse node,
                                  java.lang.Object data)

### visit

    public java.lang.Object visit(ASTText node,
                                  java.lang.Object data)

### visit

    public java.lang.Object visit(ASTIfStatement node,
                                  java.lang.Object data)

### visit

    public java.lang.Object visit(ASTElseStatement node,
                                  java.lang.Object data)

### visit

    public java.lang.Object visit(ASTElseIfStatement node,
                                  java.lang.Object data)

### visit

    public java.lang.Object visit(ASTSetDirective node,
                                  java.lang.Object data)

### visit

    public java.lang.Object visit(ASTExpression node,
                                  java.lang.Object data)

### visit

    public java.lang.Object visit(ASTAssignment node,
                                  java.lang.Object data)

### visit

    public java.lang.Object visit(ASTOrNode node,
                                  java.lang.Object data)

### visit

    public java.lang.Object visit(ASTAndNode node,
                                  java.lang.Object data)

### visit

    public java.lang.Object visit(ASTEQNode node,
                                  java.lang.Object data)

### visit

    public java.lang.Object visit(ASTNENode node,
                                  java.lang.Object data)

### visit

    public java.lang.Object visit(ASTLTNode node,
                                  java.lang.Object data)

### visit

    public java.lang.Object visit(ASTGTNode node,
                                  java.lang.Object data)

### visit

    public java.lang.Object visit(ASTLENode node,
                                  java.lang.Object data)

### visit

    public java.lang.Object visit(ASTGENode node,
                                  java.lang.Object data)

### visit

    public java.lang.Object visit(ASTAddNode node,
                                  java.lang.Object data)

### visit

    public java.lang.Object visit(ASTSubtractNode node,
                                  java.lang.Object data)

### visit

    public java.lang.Object visit(ASTMulNode node,
                                  java.lang.Object data)

### visit

    public java.lang.Object visit(ASTDivNode node,
                                  java.lang.Object data)

### visit

    public java.lang.Object visit(ASTModNode node,
                                  java.lang.Object data)

### visit

    public java.lang.Object visit(ASTNotNode node,
                                  java.lang.Object data)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Apache Software Foundation. All Rights Reserved.